Summary: 	Fireflies Screensaver
Name: 		fireflies
Version: 	2.08
Release: 	2%{?dist}
License: 	GPL
URL:		https://github.com/mpcomplete/fireflies
Source0:	https://github.com/mpcomplete/fireflies/archive/refs/tags/v%{version}.tar.gz
#Patch0:	fireflies-libgfx.patch
#Patch1:		fireflies-vroot.patch
#Patch2:		fireflies-X11.patch
#Patch3:		fireflies-Makefile.patch
BuildRequires: 	mesa-libGL-devel
BuildRequires:	mesa-libGLU-devel
BuildRequires:	glew-devel
BuildRequires:	libX11-devel
BuildRequires:	SDL-devel
BuildRequires:	gcc-c++
BuildRequires:	autoconf
BuildRequires:	automake

%description
An OpenGL 3D screensaver for xscreensaver.  A bunch of fireflies chase a few
baits around the screen, leaving colorful tails which get blown around by the
wind.

%prep

%setup -q
#tar xzf libgfx-1.0.1.tar.gz
#%patch -P 0 -p1
#%patch -P 1 -p1
#%patch -P 2 -p1
#%patch -P 3 -p1

%build
autoreconf -i
#pushd .
#cd libgfx
#%configure
#cd src
#make %{?_smp_mflags}
#popd
%configure
make %{?_smp_mflags}

%install
install -D -m 755 src/%{name} $RPM_BUILD_ROOT/%{_libexecdir}/xscreensaver/%{name}
install -D -m 644 %{name}.xml $RPM_BUILD_ROOT/%{_datadir}/xscreensaver/config/%{name}.xml

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/xscreensaver/hacks.conf.d
echo 'GL:         fireflies -root\n\' > $RPM_BUILD_ROOT/%{_datadir}/xscreensaver/hacks.conf.d/%{name}.conf

%post
if [ -x %{_sbindir}/update-xscreensaver-hacks ] ; then
    %{_sbindir}/update-xscreensaver-hacks || :
fi

%postun
if [ -x %{_sbindir}/update-xscreensaver-hacks ] ; then
    %{_sbindir}/update-xscreensaver-hacks || :
fi

%files
%defattr(-,root,root)
%config(noreplace) %{_datadir}/xscreensaver/config/fireflies.xml
%{_datadir}/xscreensaver/hacks.conf.d/fireflies.conf
%{_libexecdir}/xscreensaver/fireflies

%changelog
* Thu Oct 31 2024 josef radinger <cheese@nosuchhost.net> - 2.08-2
- convert %%patchN to %%patch -PN

* Tue Jun 18 2024 josef radinger <cheese@nosuchhost.net> - 2.08-1
- rebase to github version
- small cleanup in spec-file
- remove patch0
- remove patch1
- remove patch2
- remove patch3
- add autoconf to BuildRequires
- add automake to BuildRequires
- add glew-devel to BuildRequires

* Wed Jan 01 2020 josef radinger <cheese@nosuchhost.net> - 2.07-7
- bump version
- cleanup spec-file

* Wed Oct 31 2018 josef radinger <cheese@nosuchhost.net> - 2.07-6
- add gcc-c++ to BuildRequires

* Tue Nov 29 2016 josef radinger <cheese@nosuchhost.net> - 2.07-5
- add Makefile.patch

* Sun May 26 2013 josef radinger <cheese@nosuchhost.net> - 2.07-4
- fix fireflies.xml

* Sat May 18 2013 josef radinger <cheese@nosuchhost.net> - 2.07-3
- fix it again

* Sat May 18 2013 josef radinger <cheese@nosuchhost.net> - 2.07-2
- fix spec-file

* Sun Jul 16 2012 josef radinger <cheese@nosuchhost.net> - 2.07-1
- first try

* Sat Oct  1 2005 Simon Roberts <lyricnz@hotmail.com>
- Update for 2.06 and FC4

* Wed Apr 18 2003 Matt Perry <guy@somewhere.fscked.org>
- Initial packaging
